BCL mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.Object

Provides support for value types. This class is the base class for all value types.

Data types are separated into value types and reference types. Value types are either stack-allocated or allocated inline in a structure. Reference types are heap-allocated. Both reference and value types are derived from the ultimate base class . In cases where a value type needs to act like an object, a wrapper that makes the value type look like a reference object is allocated on the heap, and the value type's value is copied into it. The wrapper is marked so that the system knows that it contains a value type. This process is known as boxing, and the reverse process is known as unboxing. Boxing and unboxing allow any type to be treated as an object.

In the following example, the number 3 is boxed as a , and () is called.

`using System; class Boxer { public static void Main() { Console.WriteLine("Value is {0}.", 3.ToString()); } }`

The output is

Value is 3.

- Constructor
  Constructs a new instance of the class.
  To be added.
  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean `` The to compare the current instance to.

  Determines whether the current instance and a specified represent the same value.

  if and the current instance are of the same type and represent the same value; otherwise, .

  This method overrides .

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Int32

  Generates a hash code for the current instance.

  A containing the hash code for the current instance.

  The algorithm used to generate the hash code is unspecified.

  This method overrides .

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.String

  Returns a representation of the fully-qualified name of the type of the current instance.

  A representation of the fully-qualified name of the type of the current instance.

  This method overrides .

  This method returns the property.

  0
  1.0.5000.0
  2.0.0.0
0 System.Runtime.InteropServices.ComVisible(true)